Bug 477246 - Fonts get distorted after upgrade
Fonts get distorted after upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 15:44 EST by iztok.stotl
Modified: 2008-12-22 15:36 EST (History)
1 user (show)

See Also:
Fixed In Version: xorg-x11-drv-ati-6.9.0-63.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 15:36:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of bad font rendering (231.59 KB, image/png)
2008-12-19 15:44 EST, iztok.stotl
no flags Details
/etc/X11/xorg.conf (614 bytes, text/plain)
2008-12-21 02:13 EST, iztok.stotl
no flags Details
Xorg.0.log : 20.12.2008 (210.18 KB, text/plain)
2008-12-21 02:18 EST, iztok.stotl
no flags Details
Xorg.0.log.old : 20.12.2008 (210.88 KB, text/plain)
2008-12-21 02:19 EST, iztok.stotl
no flags Details
Xorg.1.log : 3.12.2008 (100.65 KB, text/plain)
2008-12-21 02:21 EST, iztok.stotl
no flags Details

  None (edit)
Description iztok.stotl 2008-12-19 15:44:50 EST
Created attachment 327493 [details]
Screenshot of bad font rendering

Description of problem:
I have normally upgraded my Fedora 10 with automatic update on 19-12-2008. When rebooted, the fonts get distorted. They change, when I change the size with ctrl+ or - in Firefox. Only system fonts get distorted, the fonts are presented in normall way in adobe acrobat documents.

How reproducible:
I can get rid of it. Fonts are corrupted totally ...
Comment 1 Matěj Cepl 2008-12-20 20:02:14 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 iztok.stotl 2008-12-21 02:13:27 EST
Created attachment 327560 [details]
/etc/X11/xorg.conf
Comment 3 iztok.stotl 2008-12-21 02:18:22 EST
Created attachment 327561 [details]
Xorg.0.log : 20.12.2008
Comment 4 iztok.stotl 2008-12-21 02:19:41 EST
Created attachment 327562 [details]
Xorg.0.log.old : 20.12.2008
Comment 5 iztok.stotl 2008-12-21 02:21:16 EST
Created attachment 327563 [details]
Xorg.1.log : 3.12.2008
Comment 6 iztok.stotl 2008-12-21 03:19:21 EST
One more symptom. All system fonts are generally distorted, but when I do refresh in Firefox, the page renders OK. When I move the page, the text that shows up (from the bottom of the page) has distrorted fonts. The part of the page, that is up (displayed first), stays the same - OK. When I hover over a link, the text of a link gets distorted.
Comment 7 iztok.stotl 2008-12-21 16:24:46 EST
I think this thread is relevant to my problems, but my computer doesn't have the same symptoms they have. But the problems with the radeon started after same upgrade.

http://forums.fedoraforum.org/showthread.php?t=208243
Comment 8 Matěj Cepl 2008-12-22 08:16:48 EST
Try

yum upgrade --enablerepo=updates-testing xorg\*ati kernel\*

and if it doesn't help, install directly the latest build of xorg-x11-drv-ati from http://koji.fedoraproject.org/koji/packageinfo?packageID=95 and kernel from http://koji.fedoraproject.org/koji/packageinfo?packageID=8 (make sure in both cases you install F10 packages).

Does any of these packages help? What is the version you are using right now?
Comment 9 iztok.stotl 2008-12-22 09:24:28 EST
It works ;)

The fonts are back ...

It wasn't kernels fault ... when I installed the kernel, the font were still distorted.

This is what helped:
yum --nogpgcheck install xorg-x11-drv-ati-6.9.0-63.fc10.i386.rpm 

Thank you for your help. I have also learned something.

Note You need to log in before you can comment on or make changes to this bug.